Announcement

Collapse
No announcement yet.

8.39.4 errors still same

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • 8.39.4 errors still same

    what is wrong with my link fglrx_drv.so


    X Window System Version 1.3.0
    Release Date: 19 April 2007
    X Protocol Version 11, Revision 0, Release 1.3
    Build Operating System: Fedora Core 7 Red Hat, Inc.
    Current Operating System: Linux barena.localdomain 2.6.21-1.3228.fc7 #1 SMP Tue Jun 12 14:56:37 EDT 2007 x86_64
    Build Date: 11 June 2007
    Build ID: xorg-x11-server 1.3.0.0-9.fc7
    Before reporting problems, check http://wiki.x.org
    to make sure that you have the latest version.
    Module Loader present
    Markers: (--) probed, (**) from config file, (==) default setting,
    (++) from command line, (!!) notice, (II) informational,
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    (==) Log file: "/var/log/Xorg.0.log", Time: Thu Jul 19 12:35:20 2007
    (==) Using config file: "/etc/X11/xorg.conf"
    dlopen: libstdc++.so.5: cannot open shared object file: No such file or directory
    (EE) Failed to load /usr/lib64/xorg/modules/drivers//fglrx_drv.so
    (EE) Failed to load module "fglrx" (loader failed, 7)
    (EE) No drivers available.


    tia

  • #2
    Do you have libstdc++ installed?

    From the installer instructions on the AMD site:
    The following packages must be installed in order for the Catalyst? Linux driver to install and work properly:

    * XFree86-Mesa-libGL
    * libstdc++
    * libgcc
    * XFree86-libs
    * fontconfig
    * freetype
    * zlib
    * gcc
    Other information please if it is installed or installing it doesn't fix (such as what distro and version, last working version of driver (and what kernel and xorg server you had at the time)

    Comment


    • #3
      here what i got:

      Linux version 2.6.21-1.3228.fc7

      X Window System Version 1.3.0
      Release Date: 19 April 2007
      X Protocol Version 11, Revision 0, Release 1.3
      Build Operating System: Fedora Core 7 Red Hat, Inc.
      Current Operating System: Linux barena.localdomain 2.6.21-1.3228.fc7 #1 SMP Tue Jun 12 14:56:37 EDT 2007 x86_64
      Build Date: 11 June 2007
      Build ID: xorg-x11-server 1.3.0.0-9.fc7
      Before reporting problems, check http://wiki.x.org
      to make sure that you have the latest version.
      Module Loader present

      Xlib: extension "XFree86-DRI" missing on display ":0.0".
      display: :0.0 screen: 0
      OpenGL vendor string: Mesa project: www.mesa3d.org
      OpenGL renderer string: Mesa GLX Indirect
      OpenGL version string: 1.4 (1.5 Mesa 6.5.2)

      gcc (GCC) 4.1.2 20070502 (Red Hat 4.1.2-12)

      fontconfig 2.4.2-3.fc7

      freetype 2.3.4-3.fc7

      zlib 1.2.3-10.fc7


      i think there is broken symlink or something. the dir is not seeing are there. i just do not see how the linux structure of the system. i even have a tough time getting version of these misc pieces of THIS BIG PUZZLE. thanks.

      Comment


      • #4
        Hi,

        I ran across the very same problem and found the solution indirectly in another thread. You need to install the compat-libstdc++* packages...

        yum install compat-libstdc*

        Hope this helps. Of course, the driver still doesn't work for me on my integrated AMD690 (ATI X1200 chip), but it got around the problem you described.

        Comment


        • #5
          thanks fr; i reinstalled the old ati r9600xt and found the new 8.39.4.rpm drivers at:
          www.livna.org
          at least it works at max screen size and color. looked quicker too, but not tested 3d yet. jest got them installed.
          chou...
          lw

          Comment

          Working...
          X